Basic principle in downgrading your Joomla from 3.3.3 to 3.2.4 can be found below.

Joomla 3.3.3 requires a minimum of PHP 5.3.10. While some of our Joomla websites are hosted on an SME Server Contribs v 8.0, the latest update of PHP is only version 5.3.3 and have no plans of updating it on version 8 I believe.

  • Backup your website folder because we will be needing the components folder later
  • Backup your database, then drop the table if you want to use the same database name
  • Download Joomla v3.2.4 then install it as normal using the existing database credentials
  • Copy all of your images to yourwebsite/images, same with the templates/templatename
  • Re-install all of your modules
  • If you will get ‘404 not found’ error when accessing a particular component from the control panel, then copy the content of the complaining component folder (eg. jshopping) from the backup to yourwebsite/administrator/components/jshopping/

Facebook Page